
User Interface - Feature #2425

Feature # 2252 (Closed): implement GUI client support

implement GUI rectangle widget

10/22/2014 01:31 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius Gligor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Feature #1788: implement define rectangle and rec... Closed 01/30/2014

History

#1 - 10/22/2014 01:32 PM - Greg Shah

This is for time tracking only.  Please place all history in parent task #2252.

#2 - 10/23/2014 09:11 AM - Marius Gligor

- Status changed from New to WIP

#3 - 10/31/2014 08:17 AM - Marius Gligor

- File mag_upd20141028a.zip added

Here are my changes that I did so far for rectangle implementation. ScrollGuiContainer is the GUI implementation of ScrollContainer used in Frame

class.

ScrollGuiContainer and ScrollContainer should be created via widget factory instead of using new operator in Frame line 832).

RectangleGuiImpl should be also create via GuiWidgetFactory by adding it to the widgets map inside the static block.

#4 - 01/06/2015 10:01 PM - Greg Shah

- Status changed from WIP to Closed

#5 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

mag_upd20141028a.zip 2.04 KB 10/31/2014 Marius Gligor
